## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check

%global crate sha1collisiondetection

Name:           rust-sha1collisiondetection
Version:        0.3.4
Release:        %autorelease
Summary:        SHA-1 hash function with collision detection and mitigation

License:        MIT
URL:            https://crates.io/crates/sha1collisiondetection
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * prevent test fixtures from getting installed and shipped
Patch:          sha1collisiondetection-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
SHA-1 hash function with collision detection and mitigation.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# MIT
# MIT OR Apache-2.0
License:        MIT AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0)
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE.txt
%license LICENSE.dependencies
%doc MAINTENANCE.md
%doc README.md
%{_bindir}/sha1cdsum

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE.txt
%doc %{crate_instdir}/MAINTENANCE.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+clap-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+clap-devel %{_description}

This package contains library source intended for building other packages which
use the "clap" feature of the "%{crate}" crate.

%files       -n %{name}+clap-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+clap_mangen-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+clap_mangen-devel %{_description}

This package contains library source intended for building other packages which
use the "clap_mangen" feature of the "%{crate}" crate.

%files       -n %{name}+clap_mangen-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+const-oid-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+const-oid-devel %{_description}

This package contains library source intended for building other packages which
use the "const-oid" feature of the "%{crate}" crate.

%files       -n %{name}+const-oid-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+digest-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+digest-devel %{_description}

This package contains library source intended for building other packages which
use the "digest" feature of the "%{crate}" crate.

%files       -n %{name}+digest-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+digest-trait-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+digest-trait-devel %{_description}

This package contains library source intended for building other packages which
use the "digest-trait" feature of the "%{crate}" crate.

%files       -n %{name}+digest-trait-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+oid-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+oid-devel %{_description}

This package contains library source intended for building other packages which
use the "oid" feature of the "%{crate}" crate.

%files       -n %{name}+oid-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires -f clap

%build
%cargo_build -f clap
%{cargo_license_summary -f clap}
%{cargo_license -f clap} > LICENSE.dependencies

%install
%cargo_install -f clap

%if %{with check}
%check
%cargo_test -f clap
%endif

%changelog
## START: Generated by rpmautospec
* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu May 23 2024 Fabio Valentini <decathorpe@gmail.com> - 0.3.4-2
- Rebuild with Rust 1.78 to fix incomplete debuginfo and backtraces

* Tue Mar 19 2024 Fabio Valentini <decathorpe@gmail.com> - 0.3.4-1
- Update to version 0.3.4; Fixes RHBZ#2270156

* Tue Jan 30 2024 Fabio Valentini <decathorpe@gmail.com> - 0.3.3-1
- Update to version 0.3.3; Fixes RHBZ#2259678

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Dec 01 2023 Fabio Valentini <decathorpe@gmail.com> - 0.3.2-2
- Rebuild with cargo2rpm v0.1.14 to fix subpackage dependencies

* Sat Nov 25 2023 Fabio Valentini <decathorpe@gmail.com> - 0.3.2-1
- Update to version 0.3.2; Fixes RHBZ#2247838

* Thu Nov 02 2023 Fabio Valentini <decathorpe@gmail.com> - 0.3.1-1
- Update to version 0.3.1; Fixes RHBZ#2238583

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon May 08 2023 Fabio Valentini <decathorpe@gmail.com> - 0.2.7-1
- Update to version 0.2.7; Fixes RHBZ#2193362

* Sat Feb 04 2023 Fabio Valentini <decathorpe@gmail.com> - 0.2.6-3
- Rebuild for fixed frame pointer compiler flags in Rust RPM macros

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Sep 30 2022 Fabio Valentini <decathorpe@gmail.com> - 0.2.6-1
- Update to version 0.2.6; Fixes RHBZ#2122032

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Feb 15 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2.5-2
- Rebuild with package notes

* Wed Jan 26 2022 Fabio Valentini <decathorpe@gmail.com> - 0.2.5-1
- Update to version 0.2.5; Fixes RHBZ#2025553

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Nov 20 2021 Fabio Valentini <decathorpe@gmail.com> - 0.2.4-1
- Update to version 0.2.4; Fixes RHBZ#2024123

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Apr 08 2021 Fabio Valentini <decathorpe@gmail.com> - 0.2.3-1
- Initial package

## END: Generated by rpmautospec
